#include <bits/stdc++.h>
using namespace std;

#define REP(i, n) for (int i = 0; i < (n); ++i)
#define maxN 100005

int tree[maxN];

int read(int x) {
  int sum = 0;
  while (x > 0) {
    sum += tree[x];
    x -= x & (-x);
  }
  return sum;
}
void update(int x, int a) {
  while (x < maxN) {
    tree[x] += a;
    x += x & (-x);
  }
}

int n;
int p1[maxN], p1inv[maxN];
int p2[maxN];
int p3[maxN];

int main() {
  scanf("%d", &n);
  REP(i, n) {
    scanf("%d", p1 + i);
    --p1[i];
    p1inv[p1[i]] = i;
  }
  REP(i, n) {
    scanf("%d", p2 + i);
    --p2[i];
  }
  long long ans = 0;
  REP(i, n) {
    int x = p1inv[p2[i]] + 1;
    ans += read(x);
    update(x, 1);
  }
  printf("%lld\n", ans);
}
